Last modified: 2013-04-22 16:16:21 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 30071 - Mood messages ("happy" etc) need gender support
Mood messages ("happy" etc) need gender support
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
MoodBar (Other open bugs)
unspecified
All All
: Low minor (vote)
: ---
Assigned To: Santhosh Thottingal
: i18n
Depends on: 20962
Blocks: gender
  Show dependency treegraph
 
Reported: 2011-07-26 15:45 UTC by Robin Pepermans (SPQRobin)
Modified: 2013-04-22 16:16 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Robin Pepermans (SPQRobin) 2011-07-26 15:45:20 UTC
The messages "happy", "sad" and "confused" need GENDER support. I am quite sure it is needed in French, and probably many more languages.

Thanks.
Comment 1 Robin Pepermans (SPQRobin) 2011-07-26 15:50:27 UTC
To be clear, the "moodbar-type-*-title" messages (used in the popup) depend on the gender of the current user, while the "moodbar-type-*" messages (used on Special:MoodBar) depend on the user of that entry.
Comment 2 Roan Kattouw 2011-07-26 16:47:00 UTC
This is gonna be slightly tricky given that we don't have {{GENDER}} on the client side yet, so we'd have to export the messages as variables in MakeGlobalVariablesScript I guess.
Comment 3 Leinad 2011-07-27 00:56:10 UTC
(In reply to comment #0)
> The messages "happy", "sad" and "confused" need GENDER support. I am quite sure
> it is needed in French, and probably many more languages.

Also GENDER support is needed in Polish and other Slavic languages.
Comment 4 Gerard Meijssen 2011-10-28 15:31:41 UTC
Hebrew, Arabic... it is a long list.. A user interface that does not support gender gets unnatural, stilted language and the user experience sucks.
Thanks,
     GerardM
Comment 5 Brandon Harris 2011-10-28 18:25:43 UTC
I'm slightly confused about this bug because I'm not sure what the expected user experience is.

When users select a mood, there are two ways that it is viewed:

a) By the person who set the mood, and 
b) By any other user of the wiki (through the Feedback Dashboard)

I am *adamantly* opposed to revealing user gender through the Feedback Dashboard.  So if we're talking about displaying gender there, this will be a WONTFIX.  User privacy is of absolute paramount.

If we're talking about setting gender according to the person *viewing* the lists (so all comments by all users appear with male gender to male readers, and vice versa for female), I'm not sure how this makes the experience any more or less weird.
Comment 6 Niklas Laxström 2011-10-28 18:32:33 UTC
What makes you think it violates user privacy? This is what the gender feature in MediaWiki is for.
Comment 7 Brandon Harris 2011-10-28 18:35:16 UTC
This is not just about MoodBar; this is also about the Feedback Dashboard (http://en.wikipedia.org/wiki/Special:FeedbackDashboard).  The moods are not private only to the person submitting them; they are displayed to the public.
Comment 8 Robin Pepermans (SPQRobin) 2011-10-28 18:36:47 UTC
The gender information is already publicly visible in other parts of the software (logs etc) so privacy is not an issue here.
Comment 9 Leinad 2011-10-28 18:51:54 UTC
(In reply to comment #7)
> This is not just about MoodBar; this is also about the Feedback Dashboard
> (http://en.wikipedia.org/wiki/Special:FeedbackDashboard).  The moods are not
> private only to the person submitting them; they are displayed to the public.

Make a note that in preferences when user set gender, there is information:

"Optional: used for gender-correct addressing by the software. This information will be public."

Currently, for example, when Polish user is asked by MoodBar, interface is addressed only for man, and therefore woman are discriminated.

Also publicly visible gender on Feedback Dashboard is not a problem, since MW1.18 user namespace can be displayed depending on gender, so dashboard just needs be compatible with other features.
Comment 10 Roan Kattouw 2011-10-28 20:01:20 UTC
(In reply to comment #7)
> This is not just about MoodBar; this is also about the Feedback Dashboard
> (http://en.wikipedia.org/wiki/Special:FeedbackDashboard).  The moods are not
> private only to the person submitting them; they are displayed to the public.
That's OK, though, because user's genders are public too.

Also, in the interface where the user SUBMITS the mood, genderization needs to happen too and doesn't reveal the user's gender to anyone else (if you even consider that a problem). Although that's currently hard cause we don't have {{GENDER}} in JS.
Comment 11 Robin Pepermans (SPQRobin) 2011-11-13 13:21:09 UTC
I fixed the messages used on Special:MoodBar in r102894, but the biggest issue remains the one displayed to the user (via JavaScript unfortunately).
Comment 12 Santhosh Thottingal 2012-10-25 06:15:32 UTC
Added gender support for messages in javascript side in gerrit I336e3228
Comment 13 Krinkle 2012-12-16 22:26:55 UTC
Change-Id: I336e3228227ab26cbd9f135dda1cef25fde871f6

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links